> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Compose Session Token

> Create a temporary Simli Compose Session Token



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml post /compose/token
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /compose/token:
    post:
      summary: Compose Session Token
      description: Create a temporary Simli Compose Session Token
      operationId: start_audio_to_video_session_compose_token_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartStreamingSessionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_token:
                    type: string
        '400':
          description: Invalid Data
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_token:
                    type: string
                    description: FAIL TOKEN
                  detail:
                    type: string
                    description: Fail Reason
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StartStreamingSessionRequest:
      properties:
        faceId:
          type: string
          title: Faceid
        apiVersion:
          type: string
          title: Apiversion
          const: v2
        sessionAggregator:
          anyOf:
            - type: string
            - type: 'null'
          title: Sessionaggregator
        handleSilence:
          type: boolean
          title: Handlesilence
          default: true
        maxSessionLength:
          type: integer
          title: Maxsessionlength
          default: 3600
        maxIdleTime:
          type: integer
          title: Maxidletime
          default: 300
        startFrame:
          type: integer
          title: Startframe
          default: 0
        audioInputFormat:
          type: string
          title: Audioinputformat
          default: pcm16
      type: object
      required:
        - faceId
      title: StartStreamingSessionRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````